﻿<?php
/**
* @version		1.5.1
* @package		DJ Tab Generator
* @subpackage	DJ Tab Generator Component
* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.
* @license		http://www.gnu.org/licenses GNU/GPL
* @autor url    http://design-joomla.eu
* @autor email  contact@design-joomla.eu
* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu
* 				Szymon Woronowski - szymon.woronowski@design-joomla.eu
* 
* 
*DJ Tab Generator is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DJ Tab Generator is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with DJ Tab Generator. If not, see <http://www.gnu.org/licenses/>.
* 
*/

// no direct access
defined('_JEXEC') or die('Restricted access');
$document = &JFactory::getDocument();
	$options = array();
	$options[] = JHTML::_('select.option;', '0', JText::_('SECTION'));
	$options[] = JHTML::_('select.option;', '1', JText::_('CATEGORY'));
	$options[] = JHTML::_('select.option;', '2', JText::_('ARTICLE'));
	$options[] = JHTML::_('select.option;', '3', JText::_('MODULE POSITION'));
	$imageoptions = array();
	$imageoptions[] = JHTML::_('select.option;', '1', JText::_('RIGHT'));
	$imageoptions[] = JHTML::_('select.option;', '0', JText::_('LEFT'));
	$imageoptions[] = JHTML::_('select.option;', '2', JText::_('NONE'));

	$js = "	function change()
		{
			obiekt = document.getElementById('selection');
			obiekt2 = document.getElementById('article-selection');
			art_pos = document.getElementById('module-position');
			sel = document.getElementById('type');
			if(sel.value == 0) {
			  art_pos.style.display='none';
			  obiekt2.style.display='none';
			  obiekt.innerHTML = '".$this->sections."';
			  document.adminForm.open_c.disabled=false;
			  document.adminForm.char_c.disabled=false;
			  document.adminForm.elements_c.disabled=false;
			  document.adminForm.image_width.disabled=false;
			}
			else if(sel.value == 1) {
			  art_pos.style.display='none';
			  obiekt2.style.display='none';
			  obiekt.innerHTML = '".$this->categories."';
			  document.adminForm.open_c.disabled=false;
			  document.adminForm.char_c.disabled=false;
			  document.adminForm.elements_c.disabled=false;
			  document.adminForm.image_width.disabled=false;
			}
			else if(sel.value == 2) {
			  obiekt.innerHTML = '';
			  art_pos.style.display='none';
			  obiekt2.style.display='block';
			  document.adminForm.open_c.disabled=true;
			  document.adminForm.char_c.disabled=false;
			  document.adminForm.elements_c.disabled=true;
			  document.adminForm.image_width.disabled=false;
			}
			else {
			  obiekt.innerHTML = '';
			  obiekt2.style.display='none';
			  art_pos.style.display='block';
			  document.adminForm.open_c.disabled=true;
			  document.adminForm.char_c.disabled=true;
			  document.adminForm.elements_c.disabled=true;
			  document.adminForm.image_width.disabled=true;
			}
		}";
	$document->addScriptDeclaration($js);
?>
<form action="index.php" method="post" name="adminForm">
<table class="adminlist">
<tr>
	<td width="300">
		<strong><?php echo JText::_('ELEMENTNAME').':'; ?> </strong>
	</td>
	<td width="300">
	<input type="text" name="name" value="<?php echo $this->element->name; ?>" />
	</td>
	<td></td>
</tr>
<tr>
	<td>
		<strong><?php echo JText::_('TYPE').':'; ?> </strong>
	</td>
	<td>
	<?php 
	$select = JHTML::_('select.genericlist', $options, 'type', 'class="inputbox" onChange="return change()" '. '','value', 'text', $this->element->type); 
	echo $select;
	?>
	</td>
	<td></td>
	<tr>
	<td>
		<strong>
			<?php echo JText::_( 'SECTION_CATEGORY_ARTICLE' ); ?>
			<?php echo JText::_( 'OR' ); ?>
			<?php echo JText::_( 'MODULE POSITION NAME' ).':'; ?>
		</strong>
	</td>
	<td>
	  <div id="selection">
		<?php 
		if($this->element->type==0) echo $this->sections;
		else if($this->element->type==1) echo $this->categories;
		?>
	  </div>
	  
	  <div id="article-selection" style="display: <?php echo $this->element->type==2 ? 'block' : 'none'; ?>;">
	  	<?php echo $this->articles; ?>
	  </div>
	  
	  <div id="module-position" style="display: <?php echo $this->element->type==3 ? 'block' : 'none'; ?>;">
	  	<input type="text" name="position" value="<?php echo $this->element->position; ?>" />
	  </div>
	</td>
	<td></td></tr>
	
<tr>
	<td>
		<strong><?php echo JText::_('ELEMENTS_COUNT').':'; ?> </strong>
	</td>
	<td>
	<input type="text" name="elements_c" value="<?php echo $this->element->elements_c; ?>" <?php echo $this->element->type>=2 ? 'disabled="disabled"' : ''; ?> />
	</td>
	<td></td>
</tr>
<tr>
	<td>
		<strong><?php echo JText::_('FULL_INTROTEXT').':'; ?> </strong>
	</td>
	<td>
	<?php
	 if($this->element->full_introtext==''){
	 	$this->element->full_introtext=1;
	 }
	 echo JHTML::_('select.booleanlist', 'full_introtext', '',$this->element->full_introtext);	?>
	</td>
	<td></td>
</tr>
<tr>
	<td>
		<strong><?php echo JText::_('CHARS_COUNT').':'; ?> </strong>
	</td>
	<td>
	<input type="text" name="char_c" value="<?php echo $this->element->char_c; ?>" <?php echo $this->element->type==3 ? 'disabled="disabled"' : ''; ?> />
	</td>
	<td></td>
</tr>
<tr>
	<td>
		<strong><?php echo JText::_('OPENS_COUNT').':'; ?> </strong>
	</td>
	<td>
	<input type="text" name="open_c" value="<?php echo $this->element->open_c; ?>" <?php echo $this->element->type>=2 ? 'disabled="disabled"' : ''; ?> />
	</td>
	<td></td>
</tr>
<tr>
	<td>
		<strong><?php echo JText::_('SHOWIMAGE').':'; ?> </strong>
	</td>
	<td>
		<?php echo JHTML::_('select.booleanlist', 'show_image', '',$this->element->show_image);	?>
	</td>
	<td>
	</td>
</tr>
<tr>
	<td>
		<strong><?php echo JText::_('SHOW_DATE').':'; ?> </strong>
	</td>
	<td>
	<?php
	 if($this->element->show_date==''){
	 	$this->element->show_date=1;
	 }
	 echo JHTML::_('select.booleanlist', 'show_date', '',$this->element->show_date);	?>
	</td>
	<td></td>
</tr>
<tr>
	<td>
		<strong><?php echo JText::_('FLOAT'); ?></strong>
	</td>
	<td>
	<?php echo JHTML::_('select.genericlist', $imageoptions, 'image_float', 'class="inputbox" '. '','value', 'text', $this->element->image_float); 	?>
	</td>
	<td>
	</td>
</tr>
<tr>
	<td>
		<strong><?php echo JText::_('IMAGEWIDTH').':'; ?> </strong>
	</td>
	<td>
	<input type="text" name="image_width" value="<?php echo $this->element->image_width; ?>" <?php echo $this->element->type==3 ? 'disabled="disabled"' : ''; ?> />
	</td>
	<td></td>
</tr>
</table>
<?php
$gid = JRequest::getVar('gid');
if($gid =='' ) $gid = $this->element->group_id;
?>
<input type="hidden" name="option" value="<?php echo $option; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="element_id" value="<?php echo $this->element->element_id; ?>" />
<input type="hidden" name="group_id" value="<?php echo $gid;?>" />
<input type="hidden" name="ordering" value="<?php echo $this->element->ordering; ?>" />
</form>